#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
import re

from setuptools import find_namespace_packages
from setuptools import setup

def get_long_description():
    """
    Return the README.
    """
    with open("README.md", encoding="utf8") as f:
        return f.read()


def get_packages(package):
    """
    Return root package and all sub-packages.
    """
    return [
        dirpath
        for dirpath, dirnames, filenames in os.walk(package)
        if os.path.exists(os.path.join(dirpath, "__init__.py"))
    ]

setup(
    name="xv-largedata-lib", 
    version="0.0.22",
    author="XcelVations",
    author_email="admin@xcelvations.com",
    description="xv module to manage large data",
    long_description=get_long_description(),
    long_description_content_type="text/markdown",
    url="https://www.xcelvations.com/",

    package_data={
        '': ['resources/*', 'conf/*', 'data/*'],
        },
              
    packages=find_namespace_packages(include=['xv.*']),
    namespace_packages=['xv'], 
    install_requires=[],
    
    extras_require={
        "full": [
        ]
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    license="BSD",
    python_requires='>=3.6',
    zip_safe=False,
)



